<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta http-equiv="X-UA-Compatible" content="ie=edge" />
        <title>Chirp</title>

        <!-- CSS -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" />
        <link rel="stylesheet" href="css/chirp.css" />

        <!-- Optional theme -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" />
        
        <!-- JS -->
        <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/angularjs/1.7.2/angular.min.js"></script>
        <script type="text/javascript" src="js/chirpApp.js"></script>
    </head>
    <body ng-app="chirpApp">
        
        <div id="main" ng-controller="authController">
            <form ng-submit="login()">
                <h2>Login</h2>

                <p class="text-warning">{{error_message}}</p>
                <input type="username" ng-model="user.userName" placeholder="User Name" class="form-control" /><br/>
                <input type="password" ng-model="user.userPassword" placeholder="Password" class="form-control"><br/>
                
                <input type="submit" value="Login now" class="btn btn-primary" />
            </form>
        </div>

    </body>
</html>